Bug 244681 - yum does not handle the url with spaces
Summary: yum does not handle the url with spaces
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
(Show other bugs)
Version: 7
Hardware: i386 Linux
low
medium
Target Milestone: ---
Assignee: James Antill
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-18 14:50 UTC by Adam Pribyl
Modified: 2014-01-21 22:58 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-20 15:31:23 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Adam Pribyl 2007-06-18 14:50:52 UTC
Description of problem:
Setting baseurl to something like this:
baseurl=file:///media/Fedora 7 i386 DVD
and using yum results in error.

Version-Release number of selected component (if applicable):
yum-3.2.0-1.fc7

How reproducible:
Always

Steps to Reproduce:
1. Default-mount installation DVD to /media/Fedora 7 i386 DVD
2. Add this path to any repo config as baseurl
3. Try yum install whatever
  
Actual results:

# yum install kdebase
Loading "installonlyn" plugin
Options Error: Error parsing 'file:///media/Fedora 7 i386 DVD': URL must be
http, ftp, file or https not ""


Expected results:
'not ""' is misleading when yum itself says this message.
Yum should either accept at least shell escape space or convert spaces to %20.

Additional info:
Workaround is to put in the path %20 instead of spaces.

Comment 1 Seth Vidal 2007-06-20 15:31:23 UTC
that workaround is the right thing to do. The quotes aren't handled in our
config tool at all.


Note You need to log in before you can comment on or make changes to this bug.